//TODO:待删除，通过路由参数控制
import router from '@/router'

function meta(to, type, desc) {
  to.meta.manufacturer = {
    name: to.fullPath.split('/').at(1),
    //1:厂商管理，2：经销商管理，3：门店管理
    type,
    //1:厂商/经销商/商店列表，2：审核
    subType: to.fullPath.split('/').at(-1),
    desc
  }
}

router.beforeEach((to, from, next) => {
  switch (to.fullPath.split("/").at(1)) {
    case "manufacturer":
      meta(to, "1", "厂商");
      break;
    case "dealer":
      meta(to, "2", "经销商");
      break;
    case "store":
      meta(to, "3", "门店");
      break;
  }

  // your logic
  next();
});
